aboutsummaryrefslogtreecommitdiffstats
path: root/golang/test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'golang/test.sh')
-rwxr-xr-xgolang/test.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/golang/test.sh b/golang/test.sh
new file mode 100755
index 00000000..8e0159e3
--- /dev/null
+++ b/golang/test.sh
@@ -0,0 +1,12 @@
+#!/usr/bin/env bash
+
+set -e
+echo "" > coverage.txt
+
+for d in $(go list ./... | grep -v -e internal/mock -e cmd/api/server -e vendor); do
+ go test -race -coverprofile=profile.out -covermode=atomic "$d"
+ if [ -f profile.out ]; then
+ cat profile.out >> coverage.txt
+ rm profile.out
+ fi
+done